Installing 0.30 on Ubuntu 19.10 not working

For discussion of topics specific to MythTV on linux
Post Reply
kdx7214
Newcomer
Posts: 8
Joined: Sat Nov 23, 2019 10:47 pm
United States of America

Installing 0.30 on Ubuntu 19.10 not working

Post by kdx7214 » Sat Nov 23, 2019 10:53 pm

I've had a working 0.29 installation going (running on ubuntu 17.04) for a few years and it worked great. The machine died and now I'm installing the new software, but something isn't working or is missing. I've followed the installation pages (as far as I can tell) but the mythtv sql user is never created, the mythconverg database is never created, and when mythtv-setup attempts to run, it tries to login to the database using the current user name (who doesn't have mysql access) rather than what I normally use. I'm guessing this means that some step somewhere is missing, but no clue what. Here's what I did:
  1. Install Ubuntu/Mysql/adminer and so on. This seems to work just fine.
  • sudo apt install mythtv mythplugins
In the old days at this point there would be some form of prompt for database user/password so it could create the user/tables. I did try the 'sudo dpkg-reconfigure mythtv-database' but that just asked if the system is going to be used by a remote frontend (nothing changes no matter what I answer). I also tried 'sudo dpkg-reconfigure mythtv-common' (from the troubleshooting pages) and entered the info for the mythtv user, that does not yet exist.

So, what step(s) am I missing here?

User avatar
bill6502
Developer
Posts: 1408
Joined: Fri Feb 07, 2014 5:28 pm
United States of America

Re: Installing 0.30 on Ubuntu 19.10 not working

Post by bill6502 » Sun Nov 24, 2019 4:37 am

Hi,

I'd give this a read (I'm way back on 19.04 and 18.04.) http://lists.mythtv.org/pipermail/mytht ... 01704.html

jksj
Junior
Posts: 64
Joined: Thu Feb 13, 2014 7:53 pm
Great Britain

Re: Installing 0.30 on Ubuntu 19.10 not working

Post by jksj » Sun Nov 24, 2019 8:28 am

I am pretty sure that mythtv won't do a clean install on ubuntu 19.10. You would have to change mc.sql for the syntax change in the grant statement. Go for the current LTS Ubuntu 18.04. That should be fine.

halucigenia
Junior
Posts: 97
Joined: Tue Nov 11, 2014 11:03 am
Great Britain

Re: Installing 0.30 on Ubuntu 19.10 not working

Post by halucigenia » Wed Nov 27, 2019 6:04 pm

I had issues when I upgraded Kubuntu to 19.10 but have it working now with MariaDB. It was a bit of a struggle though and I don't have it completely documented but did post about it here viewtopic.php?f=36&t=3395#p16476

Post Reply